--=============================================================================--
-- ★ 角色类
--=============================================================================--

角色类 = class()


function 角色类:初始化( 初始坐标x, 初始坐标y) 

	self.角色_精灵 = D2D_精灵.创建(图片_角色,0, 0, 引擎:取图片宽度 (图片_角色), 引擎:取图片高度 (图片_角色))
	self.角色位置  = {x=初始坐标x,y=初始坐标y}

end



function 角色类:更新()

	if(引擎:取按键事件(键_键盘右))then
		self.角色位置.x = self.角色位置.x + 2
	end
	
	if(引擎:取按键事件(键_键盘左))then
		self.角色位置.x = self.角色位置.x - 2
	end
	
	if(引擎:取按键事件(键_键盘下))then
		self.角色位置.y = self.角色位置.y + 2
	end
	
	if(引擎:取按键事件(键_键盘上))then
		self.角色位置.y = self.角色位置.y - 2
	end
	
	
end



function 角色类:显示()

	self.角色_精灵:显示(self.角色位置.x,self.角色位置.y) 
	
end



function 角色类:取Y轴参照点()

	return  (self.角色位置.y + self.角色_精灵:取高度 ())
	
end
